kr.co.hanwha.hifive.data.model

## Class CampaignData

- java.lang.Object
- - kr.co.hanwha.hifive.data.model.CampaignData

Direct Known Subclasses:
  ProjectCampaignData

    public class CampaignData
    extends java.lang.Object

캠페인 정보 Created by sanghoonkwon on 2018. 2. 21..

### Field Summary

Fields
`(package private) java.lang.String` `campaign_desc` Campaign description
`(package private) java.lang.String` `campaign_due_to` "2018-02-14 00:00:00.0"
`(package private) int` `campaign_id` Campaign id
`(package private) boolean` `isFirstItem`
`(package private) int` `project_id` 40
`(package private) java.lang.String` `project_name` "우주최강개발"

### Constructor Summary

Constructors
Constructor and Description
`CampaignData()`
`CampaignData(int campaign_id, java.lang.String campaign_desc, java.lang.String campaign_due_to, int project_id, java.lang.String project_name, boolean isFirstItem)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCampaign_desc()`
`java.lang.String` `getCampaign_due_to()`
`int` `getCampaign_id()`
`java.lang.String` `getKey()`
`int` `getProject_id()`
`java.lang.String` `getProject_name()`
`boolean` `isFirstItem()`
`void` `setFirstItem(boolean firstItem)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### campaign_id

    int campaign_id

Campaign id

#### campaign_desc

    java.lang.String campaign_desc

Campaign description

#### campaign_due_to

    java.lang.String campaign_due_to

"2018-02-14 00:00:00.0"

#### project_id

    int project_id

40

#### project_name

    java.lang.String project_name

"우주최강개발"

#### isFirstItem

    boolean isFirstItem

### Constructor Detail

#### CampaignData

    public CampaignData()

#### CampaignData

    public CampaignData(int campaign_id,
                        java.lang.String campaign_desc,
                        java.lang.String campaign_due_to,
                        int project_id,
                        java.lang.String project_name,
                        boolean isFirstItem)

### Method Detail

#### getKey

    public java.lang.String getKey()

#### isFirstItem

    public boolean isFirstItem()

#### setFirstItem

    public void setFirstItem(boolean firstItem)

#### getCampaign_id

    public int getCampaign_id()

#### getCampaign_desc

    public java.lang.String getCampaign_desc()

#### getCampaign_due_to

    public java.lang.String getCampaign_due_to()

#### getProject_id

    public int getProject_id()

#### getProject_name

    public java.lang.String getProject_name()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`